Subject: Re: [PATCH 2/2] x86/mmap: handle worst-case heap randomization in mmap_base

From: Ingo Molnar <[email-masked]>
Date: Fri, 19 Apr 2019 10:51:40 +0200

* Saidi, Ali <[email-masked]> wrote:

> On 3/27/19, 2:52 PM, "linux-arm-kernel on behalf of Kees Cook" <[email-masked] on behalf of [email-masked]> wrote:
> 
>     Adding some more people to CC... what do people think about this
>     moving of the brk to ELF_ET_DYN_BASE in this corner-case? Anything
>     that worked before should still work (i.e. the ultimately-launched
>     binary already had the brk very far from its text, so this should be
>     no different from a COMPAT_BRK standpoint). The only risk I see here
>     is that if someone started to suddenly depend on the entire memory
>     space above the mmap region being available when launching binaries
>     via a direct loader execs... which seems highly unlikely, I'd hope:
>     this would mean a binary would not work when execed normally.
> 
> Kees' proposal addresses the issue for me. Anyone have concerns on this proposed solution?

I'd suggest incorporating all feedback and sending a v2 series - it's 
much easier to get people's attention via code submitted. ;-)

Thanks,

	Ingo

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel